Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.PinRegister

    java.lang.Object
      avrora.sim.mcu.ATMega128L.SimImpl.PinRegister

All Implemented Interfaces:
  State.IOReg

Enclosing class:
  ATMega128L.SimImpl

protected class ATMega128L.SimImpl.PinRegister
extends java.lang.Object
implements State.IOReg

Field Summary
`protected ATMega128L.Pin[]` | `pins`

Constructor Summary
`protected` | `ATMega128L.SimImpl.PinRegister(ATMega128L.Pin[] p)`

Method Summary
`void` | `clearBit(int bit)` The `clearBit()` method clears a single bit in the IO register.
`byte` | `read()` The `read()` method reads the 8-bit value of the IO register as a byte.
`boolean` | `readBit(int bit)` The `readBit()` method reads a single bit from the IO register.
`void` | `setBit(int bit)` The `setBit()` method sets a single bit in the IO register.
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pins

    protected ATMega128L.Pin[] pins

Constructor Detail

### ATMega128L.SimImpl.PinRegister

    protected ATMega128L.SimImpl.PinRegister(ATMega128L.Pin[] p)

Method Detail

### read

    public byte read()

  Description copied from interface: `State.IOReg`
  The `read()` method reads the 8-bit value of the IO register as a byte. For special IO registers, this may cause some action like device activity, or the actual value of the register may need to be fetched or computed.

  Specified by:
    `read` in interface `State.IOReg`
  Returns:
    the value of the register as a byte

### readBit

    public boolean readBit(int bit)

  Description copied from interface: `State.IOReg`
  The `readBit()` method reads a single bit from the IO register.

  Specified by:
    `readBit` in interface `State.IOReg`
  Parameters:
    `bit` - the number of the bit to read
  Returns:
    the value of the bit as a boolean

### write

    public void write(byte val)

  Description copied from interface: `State.IOReg`
  The `write()` method writes an 8-bit value to the IO register as a byte. For special IO registers, this may cause some action like device activity, masking/unmasking of interrupts, etc.

  Specified by:
    `write` in interface `State.IOReg`
  Parameters:
    `val` - the value to write

### setBit

    public void setBit(int bit)

  Description copied from interface: `State.IOReg`
  The `setBit()` method sets a single bit in the IO register.

  Specified by:
    `setBit` in interface `State.IOReg`
  Parameters:
    `bit` - the number of the bit to clear

### clearBit

    public void clearBit(int bit)

  Description copied from interface: `State.IOReg`
  The `clearBit()` method clears a single bit in the IO register.

  Specified by:
    `clearBit` in interface `State.IOReg`
  Parameters:
    `bit` - the number of the bit to clear

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD